Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 704236 - net-libs/webkit-gtk-2.26.2 : Source/WebKit/WebProcess/WebPage/CoordinatedGraphics/LayerTreeHost.h:215:13: error: no declaration matches ‘void WebKit::LayerTreeHost::invalidate()’
Summary: net-libs/webkit-gtk-2.26.2 : Source/WebKit/WebProcess/WebPage/CoordinatedGrap...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: Sparc64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 704182
  Show dependency tree
 
Reported: 2019-12-30 07:50 UTC by Rolf Eike Beer
Modified: 2020-01-03 21:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (net-libs_webkit-gtk-2.26.2_use_R9lCk.xz,155.15 KB, application/x-xz)
2019-12-30 07:50 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2019-12-30 07:50:19 UTC
Created attachment 601764 [details]
build.log

Portage 2.3.78 (python 3.6.9-final-0, default/linux/sparc/17.0, gcc-9.2.0, glibc-2.30-r2, 5.4.1 sparc64)
=================================================================
System uname: Linux-5.4.1-sparc64-sun4v-with-gentoo-2.6
KiB Mem:    33080192 total,  12678792 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 30 Dec 2019 01:15:01 +0000
Head commit of repository gentoo: 2ac9af45a2d1647df08c37f9eab1ec2d88730e4a
sh bash 5.0_p11
ld GNU ld (Gentoo 2.33.1 p1) 2.33.1
app-shells/bash:          5.0_p11::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.16::gentoo, 3.5.7::gentoo, 3.6.9::gentoo
dev-util/cmake:           3.16.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.17::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.33.1::gentoo
sys-devel/gcc:            9.2.0-r2::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

qt
    location: /var/lib/layman/qt
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="sparc ~sparc"
ACCEPT_LICENSE="@FREE"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20 -l40"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt cxx dri fortran gdbm iconv ipv6 libtirpc ncurses nls nptl openmp pam pcre readline sparc split-usr ssl tcpd unicode xattr zlib" ADA_TARGET="gnat_2018" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mart Raudsepp gentoo-dev 2019-12-30 14:10:19 UTC
Can you try with USE=opengl or USE=gles2-only? I think it might be again upstream broken non-GL build (it's really unsupported as a build, only useful for some embedded systems really; if it causes problems, I will simply make one or the other GL flag required by the package).
Comment 2 Rolf Eike Beer 2019-12-30 14:30:19 UTC
The only combination I found so far that builds is:

USE='-X -coverage -doc egl geolocation -gles2-only -gnome-keyring gstreamer introspection -jpeg2k jumbo-build libnotify opengl -spell wayland webgl'

Here are some more errors:

 * USE:        X coverage doc elibc_glibc gstreamer introspection kernel_linux libnotify sparc userland_GNU
 * USE:        X elibc_glibc geolocation gnome-keyring introspection kernel_linux opengl sparc spell userland_GNU

/var/tmp/portage/net-libs/webkit-gtk-2.26.2/work/webkitgtk-2.26.2/Source/JavaScriptCore/bytecompiler/NodesCodegen.cpp:471:36: error: ?OpAdd? was not declared in this scope
  471 |             generator.emitBinaryOp<OpAdd>(index.get(), index.get(), generator.emitLoad(0, jsNumber(n->elision())), OperandTypes(ResultType::numberTypeIsInt32(), ResultType::numberTypeIsInt32()));
      |                                    ^~~~~
/var/tmp/portage/net-libs/webkit-gtk-2.26.2/work/webkitgtk-2.26.2/Source/JavaScriptCore/bytecompiler/NodesCodegen.cpp:471:194: error: no matching function for call to ?JSC::BytecodeGenerator::emitBinaryOp<<expression error> >(JSC::RegisterID*, JSC::RegisterID*, JSC::RegisterID*, JSC::OperandTypes)?
  471 |             generator.emitBinaryOp<OpAdd>(index.get(), index.get(), generator.emitLoad(0, jsNumber(n->elision())), OperandTypes(ResultType::numberTypeIsInt32(), ResultType::numberTypeIsInt32()));
      |                                                                                                                                                                                                  ^

 * USE:        coverage egl elibc_glibc geolocation introspection jpeg2k jumbo-build kernel_linux libnotify opengl sparc spell userland_GNU wayland

/var/tmp/portage/net-libs/webkit-gtk-2.26.2/work/webkitgtk-2.26.2/Source/WebCore/platform/graphics/FormatConverter.h:54:18: error: ?GraphicsContext3D? has not been declared
   54 |     void convert(GraphicsContext3D::DataFormat srcFormat, GraphicsContext3D::DataFormat dstFormat, GraphicsContext3D::AlphaOp);
      |                  ^~~~~~~~~~~~~~~~~
Comment 3 Ulenrich 2019-12-31 13:11:38 UTC
Also failed emerging with various combinations of:
egl geolocation gles2-only gstreamer opengl wayland 

But I ever had disabled -webgl
So thanx Rolf for the hint - I will try his combination:
> USE='-X -coverage -doc egl geolocation -gles2-only -gnome-keyring gstreamer 
> introspection -jpeg2k jumbo-build libnotify opengl -spell wayland webgl'

Does someone wants to see a build.log of a special combination?

I allready had these of bug https://bugs.gentoo.org/704182
installed:
---
> webkit-gtk[wayland,opengl] now requires libwpe and wpebackend-fdo.
>
> webkit-gtk[seccomp] now requires xdg-dbus-proxy in addition to bubblewrap 
> and libseccomp
Comment 4 Ulenrich 2019-12-31 16:50:32 UTC
Yes!
Is the USE=webgl now hardwired with webkit-gtk ? Success with:
---
[ebuild   R    ] net-libs/webkit-gtk-2.26.2:4/37::gentoo  USE="X (-aqua) -coverage -doc egl geolocation -gles2-only gnome-keyring gstreamer introspection -jpeg2k jumbo-build libnotify opengl (seccomp) -spell -test wayland webgl" 0 KiB
Comment 5 Mart Raudsepp gentoo-dev 2020-01-02 13:15:56 UTC
I think one of the errors is from lack of WebGL, as if that's always required to build successfully, or at least if opengl or gles2-only is enabled.
But that in turn would require most other flags as well (gstreamer, egl).
Some others might be triggered by lack of USE=egl, but webgl requires that anyways.
In short - a mess, and maybe it's time to stop supporting all these combinations.
Comment 6 Mart Raudsepp gentoo-dev 2020-01-02 13:21:03 UTC
OK, the original report here (LayerTreeHost::invalidate) happens if !USE(COORDINATED_GRAPHICS) and there's a fix in upstream master I can grab and hope that helps.
This triggers if USE="-opengl -gles2-only"
Comment 7 Larry the Git Cow gentoo-dev 2020-01-02 16:47:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd3384b4b67262108374e57cde3aee9dfe1203b3

commit cd3384b4b67262108374e57cde3aee9dfe1203b3
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2020-01-02 16:46:02 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2020-01-02 16:46:21 +0000

    net-libs/webkit-gtk-2.26: fix unsupported no-GL build
    
    Closes: https://bugs.gentoo.org/704236
    Package-Manager: Portage-2.3.79, Repoman-2.3.12
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

 .../webkit-gtk/files/2.26.2-fix-noGL-build.patch   | 31 ++++++++++++++++++++++
 net-libs/webkit-gtk/webkit-gtk-2.26.2.ebuild       |  3 ++-
 2 files changed, 33 insertions(+), 1 deletion(-)
Comment 8 Mart Raudsepp gentoo-dev 2020-01-02 16:52:00 UTC
The other mentioned build failures are tracked in following bugs:

OpAdd was not declared in this scope - bug 704194
sh does not name a type (ANGLE) - bug 704538
Additionally there is bug 704558

The GraphicsContext3D one doesn't have a separate bug yet - please feel free to file one.
That one I believe to be a failure with USE="opengl -webgl" or USE="gles2-only -webgl" (GL without enabled webgl), but to be narrowed down further to a fix still.
Comment 9 DaggyStyle 2020-01-03 21:05:24 UTC
(In reply to Mart Raudsepp from comment #8)
> The other mentioned build failures are tracked in following bugs:
> 
> OpAdd was not declared in this scope - bug 704194
> sh does not name a type (ANGLE) - bug 704538
> Additionally there is bug 704558
> 
> The GraphicsContext3D one doesn't have a separate bug yet - please feel free
> to file one.
> That one I believe to be a failure with USE="opengl -webgl" or
> USE="gles2-only -webgl" (GL without enabled webgl), but to be narrowed down
> further to a fix still.
I think you are correct, I have the patch from the commit, +opengl -webgl and the failure still happends